IntelliCAD 11.1 Object Library | |
AddSphere Method | |
See Also |
- Center
- A Point object representing the center of the sphere.
- Radius
- The radius of the sphere.
ModelSpace Collection : AddSphere Method |
Description
Adds a polygon mesh sphere at the origin given the center point and radius.
Syntax
Parameters
- Center
- A Point object representing the center of the sphere.
- Radius
- The radius of the sphere.
Remarks
The sphere will be drawn as a polygon mesh when object is a ModelSpace or PaperSpace collection object or a Block object. The sphere will be drawn as an ACIS 3DSolid when object is a SolidCreator object. The optional SolidCreator object is only available in IntelliCAD versions that support ACIS 3DSolids.
Example
Private Sub AddSphereExample()
'This example adds a sphere to the drawing.
' It then zooms to the extents of the drawing.
Dim myDoc As IntelliCAD.Document
Dim sphereObj As IntelliCAD.PolygonMesh
Dim pt As Point
Set myDoc = ActiveDocument
Set pt = Library.CreatePoint(4, 4, 0)
Set sphereObj = ThisDocument.ModelSpace.AddSphere(pt, 5)
sphereObj.Update
ThisDocument.Application.ZoomExtents
End Sub